<template>
  <div class="navigation">
    <div class="link-box">
      <router-link :to="{ name: 'home' }">Home</router-link>
    </div>
    <div class="link-box">
      <router-link :to="{ name: 'myGames' }">My games</router-link>
    </div>
    <div class="link-box">
      <router-link :to="{ name: 'joinGame' }">Join new game</router-link>
    </div>
    <div class="link-box no-underline">
      <router-link :to="{ name: 'logout' }">Logout</router-link>
    </div>
  </div>
</template>

<style lang="scss">
.navigation {
  background-color: #09639b;
  position: absolute;
  left: 0;
  top: 3.1rem;
  z-index: 1;
  width: 10rem;
  .link-box {
    margin: 0.5rem;
    padding: 0.5rem;
    border-bottom: 0.1rem white solid;

    a {
      text-decoration: none;
      color: white;
    }
  }
  .no-underline {
    border-bottom: none;
  }
}
</style>
